<?PHP
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

// перевос с основного на рекламный счёт
if($_POST['func'] == "conv_rek") {
$summ = (isset($_POST["summ"])) ? abs(floatval(str_replace(",",".",trim($_POST["summ"])))) : false;
if($summ < 0.01) {
echo "1"; exit();
}elseif($summ > $byme["money"]){
echo "2"; exit();
}else{
mysql_query("INSERT INTO `tb_allhistory` (`idus`,`data`,`doing`,`title`) VALUES ('$id_user','".time()."','4','Пополнение рекл. счёта на $summ $sitevalname')") or die(mysql_error());
mysql_query("UPDATE `b_users` SET `money`=`money`-'$summ', `r_money`=`r_money`+'$summ' WHERE `id`='$id_user'") or die(mysql_error());
echo "0"; exit();
}
}

// пополнить рекламный счёт
if($_POST['func'] == "bask_rek") {
$summ = (isset($_POST["summ"])) ? abs(floatval(str_replace(",",".",trim($_POST["summ"])))) : false;
if($summ < 5){
echo "1"; exit();
}else{
mysql_query("INSERT INTO `b_basket` (`ident`,`price`,`fromid`,`time`,`type`) VALUES ('$id_user','$summ','$id_user','".time()."','8')") or die(mysql_error());
echo "0"; exit();
}
}
?>